package com.ruoyi.asset.service;

import java.util.List;
import com.ruoyi.asset.domain.AmsWarehouse;

/**
 * 仓库管理Service接口
 * 
 * @author Yangk
 * @date 2026-06-03
 */
public interface IAmsWarehouseService 
{
    /**
     * 查询仓库管理
     * 
     * @param warehouseId 仓库管理主键
     * @return 仓库管理
     */
    public AmsWarehouse selectAmsWarehouseByWarehouseId(Long warehouseId);

    /**
     * 查询仓库管理列表
     * 
     * @param amsWarehouse 仓库管理
     * @return 仓库管理集合
     */
    public List<AmsWarehouse> selectAmsWarehouseList(AmsWarehouse amsWarehouse);

    /**
     * 校验仓库编码是否唯一
     *
     * @param amsWarehouse 仓库管理
     * @return 结果
     */
    public boolean checkWarehouseCodeUnique(AmsWarehouse amsWarehouse);

    /**
     * 新增仓库管理
     * 
     * @param amsWarehouse 仓库管理
     * @return 结果
     */
    public int insertAmsWarehouse(AmsWarehouse amsWarehouse);

    /**
     * 修改仓库管理
     * 
     * @param amsWarehouse 仓库管理
     * @return 结果
     */
    public int updateAmsWarehouse(AmsWarehouse amsWarehouse);

    /**
     * 批量删除仓库管理
     * 
     * @param warehouseIds 需要删除的仓库管理主键集合
     * @return 结果
     */
    public int deleteAmsWarehouseByWarehouseIds(String warehouseIds);

    /**
     * 删除仓库管理信息
     * 
     * @param warehouseId 仓库管理主键
     * @return 结果
     */
    public int deleteAmsWarehouseByWarehouseId(Long warehouseId);
}
